#!/bin/bash

function test_si_egaux () {
	if [[ -s $1 && -s $2  ]] ; then
		fichier_1=$1 
		fichier_2=$2
		md5_1=$(set -- $(md5sum $fichier_1); echo -n $1)
		md5_2=$(set -- $(md5sum $fichier_2); echo -n $1)
		if [ "$md5_1" = "$md5_2"  ] ; then
			return 0 ;
		fi
	fi
	return 1 ;
}

function suppression_entite_html () {
	echo -n "Traitement de $1 : "
	sed -e 's/&lt;/</g' -e 's/&gt;/>/g' "$1" > "$1".trad
	test_si_egaux "$1" "$1".trad
	if [ $? -eq 0 ] ; then 
		echo "INUTILE on efface .trad" ;
		rm -f "$1".trad
	else
		echo "conservation de la version .trad" ;
	fi
}

# pour le find
export -f test_si_egaux
export -f suppression_entite_html

function recherche_fichier () {
	type_de_fichier=$1
	find -name \*.$type_de_fichier -type f -exec bash -c 'suppression_entite_html "{}"' \;
}

recherche_fichier sh
recherche_fichier xml
